summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2017-11-09 21:54:24 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-11-09 21:54:24 +0000
commit65c9bceeaf845585f17305a6a6e7db6ac9c70a6d (patch)
tree9833c9bbb1744c0fa7f5557576c161673c2f7ee6 /desktop
parent56685fc35c3316af11e86ae90089ea026108ac8d (diff)
downloadslackbuilds-65c9bceeaf845585f17305a6a6e7db6ac9c70a6d.tar.gz
slackbuilds-65c9bceeaf845585f17305a6a6e7db6ac9c70a6d.tar.xz
desktop/arc-openbox: Added (Arc theme for Openbox window manager).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/arc-openbox/README4
-rw-r--r--desktop/arc-openbox/arc-openbox.SlackBuild70
-rw-r--r--desktop/arc-openbox/arc-openbox.info10
-rw-r--r--desktop/arc-openbox/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/desktop/arc-openbox/README b/desktop/arc-openbox/README
new file mode 100644
index 0000000000..ceb5c29886
--- /dev/null
+++ b/desktop/arc-openbox/README
@@ -0,0 +1,4 @@
+Arc theme for the Openbox window manager. An Openbox theme created to
+fit in nicely with the Arc GTK theme.
+
+Optional dependencies: arc-theme (or arc-theme-Red) and arc-icon-theme.
diff --git a/desktop/arc-openbox/arc-openbox.SlackBuild b/desktop/arc-openbox/arc-openbox.SlackBuild
new file mode 100644
index 0000000000..4fc289ada4
--- /dev/null
+++ b/desktop/arc-openbox/arc-openbox.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# Slackware build script for arc-openbox.
+#
+# Copyright 2017 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+#
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=arc-openbox
+VERSION=${VERSION:-20170104}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVER=${SRCVER:-d6bfa0ec2dedee3f45c263b01b7eeb9635402ac3}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+mv $PRGNAM-$SRCVER $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/themes
+ls | grep -e '^Arc' | xargs cp -R -t $PKG/usr/share/themes
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/arc-openbox/arc-openbox.info b/desktop/arc-openbox/arc-openbox.info
new file mode 100644
index 0000000000..7cd0a490e2
--- /dev/null
+++ b/desktop/arc-openbox/arc-openbox.info
@@ -0,0 +1,10 @@
+PRGNAM="arc-openbox"
+VERSION="20170104"
+HOMEPAGE="https://github.com/dglava/arc-openbox"
+DOWNLOAD="https://github.com/dglava/arc-openbox/archive/d6bfa0ec2dedee3f45c263b01b7eeb9635402ac3/arc-openbox-d6bfa0ec2dedee3f45c263b01b7eeb9635402ac3.tar.gz"
+MD5SUM="f7af0f1e4bab54415f014b829a8bdcc7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/arc-openbox/slack-desc b/desktop/arc-openbox/slack-desc
new file mode 100644
index 0000000000..d8a0e223bc
--- /dev/null
+++ b/desktop/arc-openbox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+arc-openbox: arc-openbox (Arc theme for the Openbox window manager)
+arc-openbox:
+arc-openbox: Arc theme for the Openbox window manager.
+arc-openbox:
+arc-openbox: Homepage: https://github.com/dglava/arc-openbox
+arc-openbox:
+arc-openbox:
+arc-openbox:
+arc-openbox:
+arc-openbox:
+arc-openbox: